import { EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class CustomModelComponent implements OnInit {
    constructor();
    modalTitle: any;
    isModalOpen: boolean;
    modalSize: string;
    saveButtonValue: string;
    modalFooter: boolean;
    saveButtonEmit: EventEmitter<any>;
    cancelButtonEmit: EventEmitter<any>;
    onSave(): void;
    onCancel(): void;
    ngOnInit(): void;
    closeModal(): void;
    saveModal(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomModelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomModelComponent, "app-custom-model", never, { "modalTitle": { "alias": "modalTitle"; "required": false; }; "isModalOpen": { "alias": "isModalOpen"; "required": false; }; "modalSize": { "alias": "modalSize"; "required": false; }; "saveButtonValue": { "alias": "saveButtonValue"; "required": false; }; "modalFooter": { "alias": "modalFooter"; "required": false; }; }, { "saveButtonEmit": "saveButtonEmit"; "cancelButtonEmit": "cancelButtonEmit"; }, never, ["*"], true, never>;
}
